"use strict";
/**
 * mplus_test_htmlconvert
 */
var mplus_test_htmlconvert = function(){
	// 상속
	mplus_common.call(this);
	
	// 상위 객체 생성
	//var mplusPatient = new mplus_mobile_patient();
	//var mplusNursing = new mplus_nursing();
	
	//super
	var self = this;
	
	//==== 변수 { ====
	//==== 변수 } ====
		
	/**
	 * 초기화
	 */
	this.init = function(){ //여기서 모든화면 콤보박스데이터를 집어넣자!!! 그래야지 화면이동할때 속도가 오래걸리지않음!!!
		// 초기 화면 조건 구성
		initCondition();
		
		// 이벤트 초기화
		addEvent();
	};
	
	//==== 초기화 설정 { ====
	var initCondition = function(){
		// 초기 화면 조건 구성
	};
	//==== 초기화 설정 } ====
	
	//==== 이벤트 설정 { ====
	var addEvent = function(){
		
		eventHtmlConvert();
	};
	
	var eventHtmlConvert = function(){
		$("#btnTestHtmlConvert").off("click");
		$("#btnTestHtmlConvert").on("click", function(){
			//alert("btnTestHtmlConvert clicked!!");
			// 관련 변환 작업
			executeHtmlConvert();
		});
	};
	//==== 이벤트 설정 } ====

	//==== 서비스 실행 { ====
	// html 을 java에서 사용할 수 있도록 변환
	var executeHtmlConvert = function(){
		var arrayOfLines = $("#txtOriginSource").val().split("\n");
		var strTargetTemp = "";
		$("#txtTargetSource").empty();
		if( arrayOfLines.length < 1)
			return;
		strTargetTemp = "\"" + arrayOfLines[0].replace(/\"/g, '\\\"').replace(/@@@@/gi, '" +  + "') + "\"\n";
		for( var i = 1; i < arrayOfLines.length; i++){
			strTargetTemp += "+ \"" + arrayOfLines[i].replace(/\"/g, '\\\"').replace(/@@@@/gi, '" +  + "') + "\"\n";
		}
		strTargetTemp += ";";	// 마지막에 ";'을 추가
		
		$('#txtTargetSource').val(strTargetTemp);	
	};
	//==== 서비스 실행 } ====

};